Subject: snmpconf RE: [Fwd: I-D ACTION:draft-bierman-disman-see-00.txt]

From: Dan Romascanu <[email-masked]>
Date: Sun, 18 Feb 2001 17:13:49 +0200

Andy,

Can you briefly describe how is this proposal related (if at all) with the
SNMPCONF Policy MIB work? 

Regards,

Dan

> -----Original Message-----
> From:	Andy Bierman [SMTP:[email-masked]]
> Sent:	Sat February 17 2001 8:06
> To:	[email-masked]
> Subject:	[Fwd: I-D ACTION:draft-bierman-disman-see-00.txt]
> 
> Hi,
> 
> I think there is a need for a set of standardized execution environment
> features, including a programming grammar, for use with the Script MIB
> and Scheduling MIB. This draft is a proposal to the DISMAN WG as a
> starting point for this work.
> 
> thanks,
> Andy << Message: I-D ACTION:draft-bierman-disman-see-00.txt >>

---

From: Andy Bierman <[email-masked]>
Date: Sun, 18 Feb 2001 10:25:45 -0800

Hi Dan,

> SNMPCONF Policy MIB work?

This draft defines a programming grammar, runtime environment,
and system library documentation requirements for a general-purpose
meta-logic layer (i.e. shell). There is a small (extensible) set of
application profiles which are tailored for DISMAN or large agent platforms.
It uses the Script MIB for script storage, and the Scheduling MIB for
TOD-based script invocation.

The execution model is much more 'traditional' than the one used in the PM MIB,
and the problem scope includes all aspects of distributed network management,
not policy-based configuration. 

How this work relates to the PM MIB work is a subjective matter.
I think the PM MIB offers all of the complexities and expenses
of a programming shell, but very few of the benefits. 

> Dan

Andy